[Português](./README-pt-PT.md)

[<img src="https://git.sthope.dev/sthope/.gitea/raw/branch/master/avatar-sthope.png" align="right" width="8%" height="8%">](https://www.sthope.dev/)

# Random Port Generator (x10) &middot; [![Build Status](https://img.shields.io/drone/build/sthope/DockerContainer-RandomPort?server=https%3A%2F%2Fdrone.sthope.dev&style=plastic)](../../..) [![MIT license](https://img.shields.io/badge/license-MIT-brightgreen.svg?style=plastic&logo=appveyor)](LICENSE)

> 🔥[Sthope](https://www.sthope.dev)

Docker container used to generate 10 random ports. Mostly to use on my website as templates.

## :construction_worker: Installing / Getting started

Script used to generate ports for my docker (and others..) templates

```shell
docker run -it --rm ghcr.io/sthopeless/randomport:latest
```  
or with sudo   
```shell
sudo docker run -it --rm ghcr.io/sthopeless/randomport:latest
```  
  
![test](test.png)

## :trophy: Versioning

This project uses [semantic releases](https://github.com/cenk1cenk2/drone-semantic-release) for versioning. For the versions available, see the [Tags](../../../tags).

## 📥 Configuration

Simply run one of the above commands, it will print out 10 random ports

## :bug: Issues

Feel free to **file a new issue** with a respective title and description on the the [repository](../../../issues). If you already found a solution to your problem, [**i would love to review your pull request**](../../../pulls)!

## :tada: Contributing

First of all, thank you for being interested in helping out, your time is always appreciated in every way. :100:

Here's some tips:

* Check the [issues page](../../../issues) for already opened issues (or maybe even closed ones) that might already address your question/bug/feature request.
* Feature requests are welcomed! Provide some details on why it would be helpful for you and others, explain how you're using bull-board and if possible even some screenshots if you are willing to mock something!

Check out the [contributing](./CONTRIBUTING.md) page to see the best places to file issues, start discussions and begin contributing.

## Support

Reach out to the maintainer at one of the following places:

* [Discord chat](1256)
* The email which is located [in Github profile](12345)

## :closed_book: License

Released in 2021 :closed_book: License

Made with :heart: by [Sthope](https://www.sthope.dev)  
For more information, please refer to the [LICENSE](LICENSE) file.

<small>Give a ⭐️ if this project helped you!</small>